<<< Previous |  | Next >>>

# mail::folder::hasMessages

## Name

mail::folder::hasMessages -- Determine if the folder is capable of storing messages

## Synopsis

#include <libmail/mail.H>
mail::folder *folder;

``bool flag=folder->`hasMessages``(void);`

## USAGE

Some folders contain messages. Other folders contain other folder (subfolders). Some IMAP servers are capable of creating dual-purpose folders that contain both messages and other subfolders. The `hasMessages` method indicates whether `folder` is capable of storing messages.

## Return Codes

A `true` result indicates that `folder` is capable of storing messages. It may not necessarily mean that `folder` actually contains any messages, it might very well be an empty folder.

NOTE:

`POP3` folders return a `true`, even though application cannot directly add messages to `POP3` folders. Applications should interpret a `true` result to mean that:

- mail::folder::open(3x) may be used to open this folder.

- This folder's mail::folder::addmessage(3x) method, and using this folder as a parameter to mail::folder::copyMessagesTo(3x) will probably work.

Applications should interpret a `false` result as a guarantee that neither of the above procedures will work.

## SEE ALSO

mail::folder::hasSubFolders(3x).

<<< Previous | Home | Next >>>
mail::folder::getRights | Up | mail::folder::hasSubFolders